diff --git a/src/main/java/net/minecraft/client/gui/options/components/IntegerOptionComponent.java b/src/main/java/net/minecraft/client/gui/options/components/IntegerOptionComponent.java
index e6e32b63f..a4f336d7a 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/IntegerOptionComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/IntegerOptionComponent.java
@@ -2,15 +2,15 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.option.IntegerOption;
+import net.minecraft.client.option.OptionInteger;
 
 public class IntegerOptionComponent
     extends ButtonComponent
 {
-    private final IntegerOption option;
+    private final OptionInteger option;
     private final ButtonElement button;
 
-    public IntegerOptionComponent(IntegerOption option)
+    public IntegerOptionComponent(OptionInteger option)
     {
         super("options." + option.name);
 
diff --git a/src/main/java/net/minecraft/client/gui/options/components/ToggleableOptionComponent.java b/src/main/java/net/minecraft/client/gui/options/components/ToggleableOptionComponent.java
index 24fe3c894..5807490ca 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/ToggleableOptionComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/ToggleableOptionComponent.java
@@ -2,15 +2,15 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.IntegerSliderElement;
-import net.minecraft.client.option.ToggleableOption;
+import net.minecraft.client.option.OptionToggleable;
 
 public class ToggleableOptionComponent<E>
         extends ButtonComponent
 {
-    protected final ToggleableOption<E> option;
+    protected final OptionToggleable<E> option;
     protected final IntegerSliderElement slider;
 
-    public ToggleableOptionComponent(ToggleableOption<E> option)
+    public ToggleableOptionComponent(OptionToggleable<E> option)
     {
         super("options." + option.name);
 
diff --git a/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java b/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java
index da66be480..4f4ec53ef 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.gui.TooltipElement;
-import net.minecraft.client.option.ToggleableOption;
+import net.minecraft.client.option.OptionToggleable;
 import net.minecraft.client.option.enums.TooltipStyle;
 import org.lwjgl.opengl.GL11;
 
@@ -10,7 +10,7 @@ public class TooltipPickerComponent<E>
 
     private final TooltipElement tooltip;
 
-    public TooltipPickerComponent(ToggleableOption<E> option) {
+    public TooltipPickerComponent(OptionToggleable<E> option) {
         super(option);
 
         this.tooltip = new TooltipElement(mc);
diff --git a/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java b/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
index eb4c55900..9c6b6bc4f 100644
--- a/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
+++ b/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
@@ -2,12 +2,12 @@ package net.minecraft.client.gui.options.data;
 
 import net.betterthanadventure.utils.DataDumper;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.ControllerSetupScreen;
-import net.minecraft.client.gui.HudDesignerScreen;
-import net.minecraft.client.gui.SoundTestScreen;
-import net.minecraft.client.gui.TextureViewerScreen;
-import net.minecraft.client.gui.achievements.AchievementsScreen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.ScreenControllerSetup;
+import net.minecraft.client.gui.ScreenHudDesigner;
+import net.minecraft.client.gui.ScreenSoundTest;
+import net.minecraft.client.gui.ScreenTextureViewer;
+import net.minecraft.client.gui.achievements.ScreenAchievements;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.options.components.AvailableTexturePackListComponent;
 import net.minecraft.client.gui.options.components.BooleanOptionComponent;
 import net.minecraft.client.gui.options.components.DifficultyOptionComponent;
@@ -52,7 +52,7 @@ public abstract class OptionsPages
             .withComponent(new BooleanOptionComponent(mc.gameSettings.viewBobbing))
         )
         .withComponent(new OptionsCategory("gui.options.page.general.category.user_interface")
-            .withComponent(new ShortcutComponent("gui.options.page.general.button.edit_hud", () -> mc.displayScreen(new HudDesignerScreen(mc.currentScreen))))
+            .withComponent(new ShortcutComponent("gui.options.page.general.button.edit_hud", () -> mc.displayScreen(new ScreenHudDesigner(mc.currentScreen))))
             .withComponent(new IntegerOptionComponent(mc.gameSettings.guiScale))
             .withComponent(new FloatOptionComponent(mc.gameSettings.screenPadding))
             .withComponent(new TooltipPickerComponent<>(mc.gameSettings.tooltipStyle))
@@ -147,7 +147,7 @@ public abstract class OptionsPages
             .withComponent(new BooleanOptionComponent(mc.gameSettings.swapCraftingButtons))
         )
         .withComponent(new OptionsCategory("gui.options.page.controls.category.controller")
-            .withComponent(new ShortcutComponent("gui.options.page.controls.button.controller_setup", () -> mc.displayScreen(new ControllerSetupScreen(mc.currentScreen))))
+            .withComponent(new ShortcutComponent("gui.options.page.controls.button.controller_setup", () -> mc.displayScreen(new ScreenControllerSetup(mc.currentScreen))))
             .withComponent(new FloatOptionComponent(mc.gameSettings.controllerSensitivity))
             .withComponent(new FloatOptionComponent(mc.gameSettings.controllerMenuSensitivity))
             .withComponent(new FloatOptionComponent(mc.gameSettings.controllerDeadzoneLeft))
@@ -286,7 +286,7 @@ public abstract class OptionsPages
             .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.model_viewer", () -> {
                                mc.playerController = new PlayerControllerSP(mc);
                                mc.changeWorld(new World(), "Loading Model Viewer");
-                               mc.displayScreen(new ModelViewerScreen());}) {
+                               mc.displayScreen(new ScreenModelViewer());}) {
                                @Override
                                public void render(int x, int y, int width, int relativeMouseX, int relativeMouseY) {
                                    button.enabled = mc.theWorld == null;
@@ -294,8 +294,8 @@ public abstract class OptionsPages
                                }
                            }
             )
-            .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.sound_test", () -> mc.displayScreen(new SoundTestScreen(mc.currentScreen))))
-            .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.texture_viewer", () -> mc.displayScreen(new TextureViewerScreen(mc.currentScreen))))
+            .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.sound_test", () -> mc.displayScreen(new ScreenSoundTest(mc.currentScreen))))
+            .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.texture_viewer", () -> mc.displayScreen(new ScreenTextureViewer(mc.currentScreen))))
             .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.biome_finder", () -> {
                 new Thread(() -> SeedViewerMain.main(new String[0])).start();
                 Global.accessor = mc;
@@ -305,7 +305,7 @@ public abstract class OptionsPages
                 Utils.openDirectory(new File(mc.getMinecraftDir(), "infodump"));
                 Global.accessor = mc;
             }))
-            .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.achievements", () -> mc.displayScreen(new AchievementsScreen(mc.currentScreen, mc.statsCounter))))
+            .withComponent(new ShortcutComponent("gui.options.page.debug.button.open.achievements", () -> mc.displayScreen(new ScreenAchievements(mc.currentScreen, mc.statsCounter))))
         )
         .withComponent(new OptionsCategory("gui.options.page.debug.category.test")
             .withComponent(new ShortcutComponent("gui.options.page.debug.button.music.skip", () -> {
diff --git a/src/main/java/net/minecraft/client/gui/paged/PagedScreen.java b/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
similarity index 99%
rename from src/main/java/net/minecraft/client/gui/paged/PagedScreen.java
rename to src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
index 53e7b8ea5..cf5170875 100644
--- a/src/main/java/net/minecraft/client/gui/paged/PagedScreen.java
+++ b/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
@@ -14,7 +14,7 @@ import org.lwjgl.opengl.GL11;
 import static org.lwjgl.opengl.GL11.*;
 import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
 
-public class PagedScreen
+public class ScreenPaged
     extends Screen {
     private static final int TOP_SPACING = 24;
     private static final int BUTTON_SPACING = 4;
@@ -39,7 +39,7 @@ public class PagedScreen
 
     private final PageRegistry pageRegistry;
 
-    public PagedScreen(Screen parent, PageRegistry pageRegistry, Page selectedPage, String titleTranslationKey, String[] buttonTranslationKeys)
+    public ScreenPaged(Screen parent, PageRegistry pageRegistry, Page selectedPage, String titleTranslationKey, String[] buttonTranslationKeys)
     {
         super(parent);
         this.pageRegistry = pageRegistry;
diff --git a/src/main/java/net/minecraft/client/gui/toasts/HudToastsElement.java b/src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/toasts/HudToastsElement.java
rename to src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java
index 5dbbe5dba..2bc80ebd7 100644
--- a/src/main/java/net/minecraft/client/gui/toasts/HudToastsElement.java
+++ b/src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java
@@ -17,7 +17,7 @@ import java.util.ArrayList;
 import java.util.Comparator;
 import java.util.List;
 
-public class HudToastsElement extends Gui {
+public class GuiElementToastsHud extends Gui {
     private static final int TOAST_WIDTH = 160;
     private static final int TOAST_HEIGHT = 32;
     private static final int MAX_SHOWN_ENTRIES = 5;
@@ -27,7 +27,7 @@ public class HudToastsElement extends Gui {
 
     private final Minecraft mc;
 
-    public HudToastsElement(Minecraft minecraft) {
+    public GuiElementToastsHud(Minecraft minecraft) {
         mc = minecraft;
     }
 
diff --git a/src/main/java/net/minecraft/client/input/controller/ControllerInput.java b/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
index 1b3cfdd7a..3a2d18b90 100644
--- a/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
+++ b/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
@@ -2,7 +2,7 @@ package net.minecraft.client.input.controller;
 
 import com.b100.utils.ReflectUtils;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.container.AbstractContainerScreen;
+import net.minecraft.client.gui.container.ScreenContainerAbstract;
 import net.minecraft.client.input.glfw.GlfwGamepad;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.util.helper.Time;
@@ -145,11 +145,11 @@ public class ControllerInput {
         digitalPad.update();
     }
 
-    public Slot getSlotAtCursor(AbstractContainerScreen screen) {
+    public Slot getSlotAtCursor(ScreenContainerAbstract screen) {
         return getSlotAt((int) cursorX, (int) cursorY, screen);
     }
 
-    public Slot getSlotAt(int x, int y, AbstractContainerScreen screen) {
+    public Slot getSlotAt(int x, int y, ScreenContainerAbstract screen) {
         for (Slot slot : screen.inventorySlots.slots) {
             int mx = (int) cursorX;
             int my = (int) cursorY;
@@ -164,11 +164,11 @@ public class ControllerInput {
         return null;
     }
 
-    public void snapToSlot(AbstractContainerScreen screen, int id) {
+    public void snapToSlot(ScreenContainerAbstract screen, int id) {
         snapToSlot(screen, screen.inventorySlots.getSlot(id));
     }
 
-    public void snapToSlot(AbstractContainerScreen screen, Slot slot) {
+    public void snapToSlot(ScreenContainerAbstract screen, Slot slot) {
         if (slot == null) return;
 
         int slotX = (slot.x + (minecraft.resolution.getScaledWidthScreenCoords() - screen.xSize) / 2) - 1;
diff --git a/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java b/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java
index fdda3ca7e..bfa2ae7d6 100644
--- a/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java
+++ b/src/main/java/net/minecraft/client/input/controller/ControllerInventoryHandler.java
@@ -2,10 +2,10 @@ package net.minecraft.client.input.controller;
 
 import com.b100.utils.interfaces.Condition;
 import com.mojang.logging.LogUtils;
-import net.minecraft.client.gui.container.AbstractContainerScreen;
-import net.minecraft.client.gui.container.CraftingScreen;
-import net.minecraft.client.gui.container.FurnaceScreen;
-import net.minecraft.client.gui.container.InventoryScreen;
+import net.minecraft.client.gui.container.ScreenContainerAbstract;
+import net.minecraft.client.gui.container.ScreenCrafting;
+import net.minecraft.client.gui.container.ScreenFurnace;
+import net.minecraft.client.gui.container.ScreenInventory;
 import net.minecraft.core.player.inventory.slot.Slot;
 import org.slf4j.Logger;
 
@@ -19,7 +19,7 @@ public class ControllerInventoryHandler {
 		this.controllerInput = controllerInput;
 	}
 	
-	public void handleAbstractCrafting(AbstractContainerScreen container, Condition<Slot> isInventorySlot, Condition<Slot> isCraftingSlot, Condition<Slot> isResultSlot, int craftingSlot, int resultSlot, int invSlot) {
+	public void handleAbstractCrafting(ScreenContainerAbstract container, Condition<Slot> isInventorySlot, Condition<Slot> isCraftingSlot, Condition<Slot> isResultSlot, int craftingSlot, int resultSlot, int invSlot) {
 		Slot slot = controllerInput.getSlotAtCursor(container);
 		
 		if(controllerInput.buttonA.pressedThisFrame()) {
@@ -41,7 +41,7 @@ public class ControllerInventoryHandler {
 					if(lastSlot != null) {
 						controllerInput.snapToSlot(container, lastSlot);
 					}else {
-						controllerInput.snapToSlot(container, invSlot); //Inventory Center
+						controllerInput.snapToSlot(container, invSlot); //ContainerInventory Center
 					}
 				}else {
 					if(slot.index > 9) lastSlot = slot;
@@ -57,7 +57,7 @@ public class ControllerInventoryHandler {
 					if(lastSlot != null) {
 						controllerInput.snapToSlot(container, lastSlot);
 					}else {
-						controllerInput.snapToSlot(container, invSlot); //Inventory Center
+						controllerInput.snapToSlot(container, invSlot); //ContainerInventory Center
 					}
 				}else {
 					if(isInventorySlot.isTrue(slot))lastSlot = slot;
@@ -69,19 +69,19 @@ public class ControllerInventoryHandler {
 		}
 	}
 	
-	public void handleCrafting(CraftingScreen crafting) {
+	public void handleCrafting(ScreenCrafting crafting) {
 		handleAbstractCrafting(crafting, (e) -> e.index > 9, (e) -> e.index > 0 && e.index < 10, (e) -> e.index == 0, 5, 0, 24);
 	}
 	
-	public void handleInventory(InventoryScreen inventory) {
+	public void handleInventory(ScreenInventory inventory) {
 		handleAbstractCrafting(inventory, (e) -> e.index >= 9 && e.index <= 44, (e) -> e.index >= 1 && e.index <= 4, (e) -> e.index == 0, 1, 0, 22);
 	}
 	
-	public void handleFurnace(FurnaceScreen furnace) {
+	public void handleFurnace(ScreenFurnace furnace) {
 		handleAbstractCrafting(furnace, (e) -> e.index >= 3 && e.index <= 38, (e) -> e.index >= 0 && e.index <= 1, (e) -> e.index == 2, 0, 2, 16);
 	}
 	
-	public void click(AbstractContainerScreen screen, int button) {
+	public void click(ScreenContainerAbstract screen, int button) {
 		screen.mouseClicked((int)controllerInput.cursorX, (int)controllerInput.cursorY, button);
 	}
 	
diff --git a/src/main/java/net/minecraft/client/input/controller/Joystick.java b/src/main/java/net/minecraft/client/input/controller/Joystick.java
index cb7f710b1..8e257c057 100644
--- a/src/main/java/net/minecraft/client/input/controller/Joystick.java
+++ b/src/main/java/net/minecraft/client/input/controller/Joystick.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.input.controller;
 
-import net.minecraft.client.option.FloatOption;
+import net.minecraft.client.option.OptionFloat;
 
 public class Joystick{
 	public int xAxis, yAxis;
@@ -8,13 +8,13 @@ public class Joystick{
 	public final String name;
 	
 	public final Button button;
-	private FloatOption deadzone;
+	private OptionFloat deadzone;
 	private float x, y;
 	
 	private boolean moving = false;
 	private boolean moveLastFrame = false;
 
-	public Joystick(String name, int xAxis, int yAxis, IJoystickListener joystickListener, Button button, FloatOption deadzone) {
+	public Joystick(String name, int xAxis, int yAxis, IJoystickListener joystickListener, Button button, OptionFloat deadzone) {
 		this.name = name;
 		this.deadzone = deadzone;
 		this.xAxis = xAxis;
diff --git a/src/main/java/net/minecraft/client/net/command/ClientCommandSource.java b/src/main/java/net/minecraft/client/net/command/ClientCommandSource.java
index a2b9e58b6..1e7bd56a2 100644
--- a/src/main/java/net/minecraft/client/net/command/ClientCommandSource.java
+++ b/src/main/java/net/minecraft/client/net/command/ClientCommandSource.java
@@ -77,7 +77,7 @@ public class ClientCommandSource implements CommandSource {
 
     @Override
     public void sendMessage(String message) {
-        if (!this.mc.isMultiplayerWorld()) this.mc.ingameHud.addChatMessage(message);
+        if (!this.mc.isMultiplayerWorld()) this.mc.hudIngame.addChatMessage(message);
     }
 
     @Override
